<?php
/**
 * Summer Fashion Store functions and definitions
 *
 * @package Summer Fashion Store
 * @since 1.6
 */

if ( ! function_exists( 'summer_fashion_store_support' ) ) :
	function summer_fashion_store_support() {

		load_theme_textdomain( 'summer-fashion-store', get_template_directory() . '/languages' );

		add_theme_support( 'html5', array(
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
		) );

		add_theme_support( 'custom-background', apply_filters( 'summer_fashion_store_custom_background', array(
            'default-color' => 'ffffff',
            'default-image' => '',
        )));
		
		add_theme_support( 'wp-block-styles' );

		add_editor_style( 'style.css' );

		define('SUMMER_FASHION_STORE_BUY_NOW',__('https://www.themescarts.com/products/fashion-wordpress-theme/','summer-fashion-store'));
		define('SUMMER_FASHION_STORE_FOOTER_BUY_NOW',__('https://www.themescarts.com/products/free-fashion-store-wordpress-theme/','summer-fashion-store'));
		define('SUMMER_FASHION_STORE_BUNDLE_LINK',__('https://www.themescarts.com/products/wordpress-theme-bundle/','summer-fashion-store'));

	}
endif;
add_action( 'after_setup_theme', 'summer_fashion_store_support' );

/*-------------------------------------------------------------
 Enqueue Styles
--------------------------------------------------------------*/

if ( ! function_exists( 'summer_fashion_store_styles' ) ) :
	function summer_fashion_store_styles() {
		// Register theme stylesheet.
		wp_enqueue_style('summer-fashion-store-style', get_stylesheet_uri(), array(), wp_get_theme()->get('version') );
		wp_enqueue_style('summer-fashion-store-style-blocks', get_template_directory_uri(). '/assets/css/blocks.css');
		wp_enqueue_style('summer-fashion-store-style-responsive', get_template_directory_uri(). '/assets/css/responsive.css');
		wp_enqueue_style('summer-fashion-store-owl-carousel', get_template_directory_uri(). '/assets/css/owl.carousel.css');
		wp_style_add_data( 'summer-fashion-store-basic-style', 'rtl', 'replace' );

		//animation
		wp_enqueue_script( 'wow-js', get_theme_file_uri( '/assets/js/wow.js' ), array( 'jquery' ), true );
		wp_enqueue_script( 'summer-fashion-store-owl-carousel', get_theme_file_uri( '/assets/js/owl.carousel.js' ), array( 'jquery' ), true );
		wp_enqueue_style( 'animate-css', get_template_directory_uri().'/assets/css/animate.css' );
		wp_enqueue_script( 'summer-fashion-store-custom-js', get_theme_file_uri( '/assets/js/theme.js' ), array( 'jquery' ), true );
	}
endif;
add_action( 'wp_enqueue_scripts', 'summer_fashion_store_styles' );

function summer_fashion_store_enqueue_admin_script($hook) {
    // Enqueue admin JS for notices
    wp_enqueue_script('summer-fashion-store-welcome-notice', get_template_directory_uri() . '/inc/summer-fashion-store-theme-info-page/js/summer-fashion-store-welcome-notice.js', array('jquery'), '', true);
    
    // Localize script to pass data to JavaScript
    wp_localize_script('summer-fashion-store-welcome-notice', 'summer_fashion_store_localize', array(
        'ajax_url' => admin_url('admin-ajax.php'),
        'nonce' => wp_create_nonce('summer_fashion_store_welcome_nonce'),
        'dismiss_nonce' => wp_create_nonce('summer_fashion_store_welcome_nonce'), // Nonce for dismissal
        'redirect_url' => admin_url('themes.php?page=summer-fashion-store-theme-info-page')
    ));
}
add_action('admin_enqueue_scripts', 'summer_fashion_store_enqueue_admin_script');

if (!function_exists('summer_fashion_store_enable_plugin_autoupdate')) {

    add_filter('auto_update_plugin', function ($update, $item) {
        if ($item->slug === 'siteready-coming-soon-under-construction') {
            return true;
        }
        return $update;
    }, 10, 2);

}

function summer_fashion_store_plugin_update_available($slug, $file) {
    $updates = get_site_transient('update_plugins');

    if (!isset($updates->response[$slug . '/' . $file])) {
        return false; // No update available
    }

    return $updates->response[$slug . '/' . $file];
}

require get_template_directory() .'/inc/TGM/tgm.php';

// Add block patterns
require get_template_directory() . '/inc/block-patterns.php';
require_once get_theme_file_path( 'inc/summer-fashion-store-theme-info-page/templates/class-theme-notice.php' );
require_once get_theme_file_path( 'inc/summer-fashion-store-theme-info-page/class-theme-info.php' );

require_once get_theme_file_path( '/inc/customizer.php' );

?>